# Egy fogyókúrázó a napi C-vitamin szükségletét, illetve a vas szükségletét kétféle gyümölcs, a citrom és alma fogyasztásával szeretné fedezni. Tegyük fel, hogy a napi C-vitamin szükséglet 500 egység. 100g citromban található 300 egység, 100 g almában pedig 100 egységnyi C-vitamin. Vasból  a napi szükséglet 1.2mg , és 100g citromban 0,2mg, 100g almában pedig 0,5mg vas található. 
# A fogyókúrázó napi 400 kalóriát szeretne bevinni szervezetébe a gyümölcsök fogyasztásával. 100g citrom 50, 100g alma pedig 80 kalória. 
# A piacon 1kg citrom 600Ft, 1kg alma 400 Ft-ba kerül. 
#Kevesebb, mint 1kg-t is vásárolhatok.
#Mennyit vegyen az egyes gyümölcsökből, ha azt szeretné, hogy a lehető legkevesebbet költsön, és ne is lépje túl az előírt kalóriamennyiséget se, de a napi C-vitamin, és vas szükséglete fedezve legyen a megvásárolt gyümölcsökből?

var citrom >= 0 integer;
var alma >= 0 integer;

s.t. bevittkaloria: alma * 50 + citrom * 80 <= 400;
s.t. vitaminszukseglet: 300 * citrom + 100 * alma >= 500;
s.t. vasszukseglet: 0.2 * citrom + 0.5 * alma >= 1.2;

minimize koltseg: alma * 600 + citrom * 400;

end;